v1.0

put

/ec-site-svc/rest/v1.0/contacts/{contactId}

Updates contact by contact ID.

Request

Path Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : ContactModelDto
Type: object
Title: ContactModelDto
Payload describing a contact with addresses, properties, and modes.
Show Source
Nested Schema : ContactDto
Type: object
Title: ContactDto
Represents the contact entity details.
Show Source
Example:
{
    "id":"B1B8327AFAA6412287106192AB5984EF",
    "firstName":"John",
    "lastName":"Doe"
}
Nested Schema : EntityAddressAssociationDto
Type: object
Title: EntityAddressAssociationDto
Represents an address linked to an entity.
Show Source
Example:
[
    {
        "id":"C36A3197FDEE433FB5547EE83DE99E4B"
    }
]
Nested Schema : ModeDto
Type: object
Title: ModeDto
Represents a mode assignment for an entity.
Show Source
Example:
[
    "test"
]
Nested Schema : PROPERTY_DTO_TITLE
Type: object
Title: PROPERTY_DTO_TITLE
PROPERTY_DTO_DESC
Show Source
Example:
[
    {
        "id":"C36A3197FDEE433FB5547EE83DE99E4B"
    }
]
Nested Schema : PROPERTY_DTO_TITLE
Type: object
Title: PROPERTY_DTO_TITLE
PROPERTY_DTO_DESC
Show Source
Example:
[
    {
        "propertyName":"timezone",
        "propertyValue":"UTC"
    }
]
Examples

Back to Top

Response

Supported Media Types

200 Response

Successful operation.
Body ()
Root Schema : SDFResponse
Type: object
Title: SDFResponse
Wrapper for service responses containing result or error data.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
The result object for successful requests. Type depends on the API operation.
Example:
{
    "hasMore":"true",
    "totalResults":5,
    "count":5,
    "data":[
    ]
}
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Examples

400 Response

Returned when one or more path parameters, query parameters, or request-body values fail endpoint validation.
Body ()
Root Schema : SDFResponse
Type: object
Title: SDFResponse
Wrapper for service responses containing result or error data.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
The result object for successful requests. Type depends on the API operation.
Example:
{
    "hasMore":"true",
    "totalResults":5,
    "count":5,
    "data":[
    ]
}
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Examples

Back to Top